import request from '@/utils/request';
//获取所有变电站
//获取table表格
export function getdata(params:any){
  return request({
    url: '/basedata/substation-patroldevice/getPatrolDeviceList' ,
    method: 'post',
    data:params
  });
}

//新增或修改机器人
//新增设备
export function addPosition(params:any){
    return request({
      url: '/basedata/substation-patroldevice/addPatrolDevice' ,
      method: 'post',
      data:params
    });
  }
  //修改设备
  export function editPosition(params:any){
    return request({
      url: '/basedata/substation-patroldevice/updatePatrolDeviceById' ,
      method: 'post',
      data:params
    });
  }
//根据机器人编码获取摄像头
export function getCreamRoot(params:any){
    return request({
      url: '/basedata/substation-patroldevice/getCameraByRobot' ,
      method: 'get',
      params:params
    });
  }
//改变状态
export function changeStatus(params:any){
  return request({
    url: '/basedata/substation-patroldevice/setPatrolDeviceStatus' ,
    method: 'post',
    params:params
  });
}
//删除
export function delPosition(params:any){
  return request({
    url: '/basedata/substation-patroldevice/deletePatrolDeviceById' ,
    method: 'post',
    params:params
  });
}
